List Banks Supporting TED Operations
GET/v1/banking/ted/banks
Retrieve a list of banks that support TED (Transferência Eletrônica Disponível) operations. Use optional filter parameters to refine your search.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [id, code, ispb, name, active, created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Possible values: non-empty and <= 50 characters
Search filter. This filter is used to search for bank ted name and ispb.
Header Parameters
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
The banks returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
BankTeds data.
Bank ted ID.
Bank ted code.
Bank ted ispb.
Bank ted name.
Bank ted full name.
Bank ted created at.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"code": "237",
"ispb": "7219",
"name": "Bank ted Name S.A.",
"full_name": "Bank ted Name of Money.",
"created_at": "2026-03-26T14:02:58.221Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.